﻿using System;
using System.ComponentModel.Composition;
using System.Linq;
using System.Windows;
using Ascon.Pilot.SDK.Menu;

namespace Ascon.Pilot.SDK.ContextMenuSample
{
    [Export(typeof(IMenu<LinkedObjectsContext>))]
    public class LinkedObjectsContextMenuPlugin : IMenu<LinkedObjectsContext>
    {
        private const string MENU_ITEM_NAME = "miShowInfo";

        public void Build(IMenuBuilder builder, LinkedObjectsContext context)
        {
            builder.AddItem(MENU_ITEM_NAME, builder.Count).WithHeader("Показать информацию");
        }

        public void OnMenuItemClick(string name, LinkedObjectsContext context)
        {
            if (name == MENU_ITEM_NAME)
            {
                MessageBox.Show($"Выбрано элементов: {context.SelectedObjects.Count()}");
            }
        }
    }
}
