﻿using System;
using System.ComponentModel.Composition;
using System.Linq;
using System.Windows;
using Ascon.Pilot.SDK.Menu;

namespace Ascon.Pilot.SDK.ContextMenuSample
{
    [Export(typeof(IMenu<LinkedTasksContext>))]
    public class LinkedTasksContextMenuPlugin : IMenu<LinkedTasksContext>
    {
        private const string MENU_ITEM_NAME = "miShowInfo";

        public void Build(IMenuBuilder builder, LinkedTasksContext context)
        {
            builder.AddItem(MENU_ITEM_NAME, builder.Count).WithHeader("Показать информацию");
        }

        public void OnMenuItemClick(string name, LinkedTasksContext context)
        {
            if (name == MENU_ITEM_NAME)
            {
                MessageBox.Show($"Выбрано заданий: {context.SelectedTasks.Count()}");
            }
        }
    }
}
