﻿using System;
using System.ComponentModel;
using System.Windows.Media;
using Ascon.Pilot.SDK.TaskSample.Annotations;

namespace Ascon.Pilot.SDK.TaskSample.TaskEditView
{
    public class TaskAttachment : INotifyPropertyChanged
    {
        public Guid Id { get; private set; }

        public string Title { get; private set; }
        public string Type1 { get; private set; }
        public ImageSource Icon { get; private set; }

        public TaskAttachment(Guid id, string title, string type, ImageSource icon)
        {
            Id = id;
            Icon = icon;
            Title = title;
            Type1 = type;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }

        public override bool Equals(object obj)
        {
            var other = obj as TaskAttachment;
            return other != null && other.Id == Id;
        }

        public override int GetHashCode()
        {
            return Id.GetHashCode();
        }
    }
}
