﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace Ascon.Pilot.SDK.TaskSample.TaskEditView
{
    /// <summary>
    /// Interaction logic for TaskEditView.xaml
    /// </summary>
    public partial class TaskEditView 
    {
        public TaskEditView()
        {
            InitializeComponent();
        }

        private void SelectExecutorButtonClick(object sender, RoutedEventArgs e)
        {
            var vm = DataContext as TaskEditViewModel;
            if (vm != null)
                vm.SelectExecutor();
        }

        private void SelectAuditorButtonClick(object sender, RoutedEventArgs e)
        {
            var vm = DataContext as TaskEditViewModel;
            if (vm != null)
                vm.SelectAuditor();
        }

        private void AttachObjectButtonClick(object sender, RoutedEventArgs e)
        {
            var vm = DataContext as TaskEditViewModel;
            if (vm != null)
                vm.AddAttachment();
        }

        private void AttachFileObjectButtonClick(object sender, RoutedEventArgs e)
        {
            var vm = DataContext as TaskEditViewModel;
            if (vm != null)
                vm.AddFileAttachment();
        }

        private void OkButtonClick(object sender, RoutedEventArgs e)
        {
            var vm = DataContext as TaskEditViewModel;
            if (vm == null)
                Close();
            
            if(vm.SubmitTask())
                Close();
        }

        private void CancelButtonClick(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void Close()
        {
            var window = Parent as Window;
            if (window != null)
                window.Close();
        }

        private void RemoveeExecutorButtonClick(object sender, RoutedEventArgs e)
        {
            var removeButton = (Button)sender;
            var orgUnitId = removeButton.Tag as int?;
            if(orgUnitId != null && DataContext != null)
                ((TaskEditViewModel)DataContext).RemoveExecutor(orgUnitId.Value);

        }

        private void RemoveAttachmentMenuItemClick(object sender, RoutedEventArgs e)
        {
            var removeButton = (MenuItem)sender;
            var attachmentId = removeButton.Tag as Guid?;
            if (attachmentId != null && DataContext != null)
                ((TaskEditViewModel)DataContext).RemoveAttachment(attachmentId.Value);
        }

        private void ShowAttachmentItemClick(object sender, RoutedEventArgs e)
        {
            var button = (MenuItem)sender;
            var attachmentId = button.Tag as Guid?;
            if (attachmentId != null && DataContext != null)
                ((TaskEditViewModel)DataContext).ShowAttachment(attachmentId.Value);
        }
    }
}
